#
# spec file for package python-distutils-extra
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-distutils-extra
Version:        2.37
Release:        1.1
Summary:        Distutils/Setuptools Adapter
Source:         http://launchpad.net/python-distutils-extra/trunk/%{version}/+download/python-distutils-extra-%{version}.tar.gz
Url:            https://launchpad.net/python-distutils-extra
Group:          Development/Libraries/Python
License:        GNU General Public License version 2 (GPL v2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel python-setuptools
%py_requires
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
This package adds support for common build additions to distutils. This
includes the follwing:

  * gettext/i18n
  * documentation
  * program icons

Authors:
--------
	Sebastian Heinlein <sebi@glatzor.de>

%prep
%setup -q -n "%{name}-%{version}"
#%__rm -rf debian/debian
#%__mv debian/* .

%build
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}" \
			 --record-rpm=files.lst

%clean
%__rm -rf "%{buildroot}"

%files -f files.lst
%defattr(-,root,root)
%doc LICENSE doc/*

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:

%changelog
* Sat Oct 13 2012 cs@linux-administrator.com
- Update to version 2.37
* Fri Apr  2 2010 vuntz@opensuse.org
- Update to version 2.18.
* Tue Sep 22 2009 jblunck@suse.de
- Update to python-distuils-extra 2.10
* Tue Aug 25 2009 jfunk@funktronics.ca
- Build as noarch on 11.2
* Fri Aug 14 2009 jfunk@funktronics.ca
- Cleanup for Factory submission
